﻿using MesETL.App.Cache;

namespace MesETL.App.Services.Loggers;

public class CacheTaskMonitorLogger : ITaskMonitorLogger
{
    private readonly ICacher _cacher;

    public CacheTaskMonitorLogger(ICacher cacher)
    {
        _cacher = cacher;
    }

    public void LogStatus(string name, IReadOnlyDictionary<string, string> properties, ITaskMonitorLogger.LogLevel logLevel)
    {
        if(logLevel is ITaskMonitorLogger.LogLevel.Progress)
            _cacher.SetHashAsync(name, properties);
    }
}